package com.bytedance.android.live;

import X.AnonymousClass0AA;
import X.AnonymousClass0UT;
import X.C11110cn;
import com.bytedance.android.live.base.model.emoji.EmoteModel;
import com.bytedance.android.livesdk.chatroom.event.ISendCommentEvent;
import com.bytedance.covode.number.Covode;
import com.bytedance.ies.sdk.widgets.LiveRecyclableWidget;
import java.util.List;

public interface ICommentService extends AnonymousClass0UT {
    static {
        Covode.recordClassIndex(4689);
    }

    void addCommentEventListener(C11110cn r1);

    Class<? extends LiveRecyclableWidget> getCommentWidget();

    Class<? extends LiveRecyclableWidget> getQuickCommentWidget();

    void removeCommentEventListener(C11110cn r1);

    void sendComment(long j, String str, int i, ISendCommentEvent.Sender sender);

    void sendComment(long j, List<? extends EmoteModel> list, int i, ISendCommentEvent.Sender sender);

    void showEmoteDetailDialog(EmoteModel emoteModel, AnonymousClass0AA r2, boolean z);
}
